## ipvsadm 1.20release6

=== Makefile ===
#
#      ipvsadm - IP Virtual Server ADMinistration program
#                for IPVS NetFilter Module in kernel 2.4
#
#      Version: $Id: Makefile,v 1.17 2002/03/25 12:44:38 wensong Exp $
#
#      Authors: Wensong Zhang <wensong@linux-vs.org>
#               Peter Kese <peter.kese@ijs.si>
#
#      This file:
#
#      ChangeLog
#
#      Wensong        :   Modified the Makefile and the spec files so
#                     :   that rpms can be created with ipvsadm alone
#      P.Copeland     :   Modified the Makefile and the spec files so
#                     :   that it is possible to create rpms on the fly
#                     :   using 'make rpms'
#                     :   Also added NAME, VERSION and RELEASE numbers to
#                     :   the Makefile
#      Horms          :   Updated to add config_stream.c dynamic_array.c
#                     :   Added autodetection of libpot
#                     :   Added BUILD_ROOT support
#      Wensong        :   Changed the OBJS according to detection
#

NAME	= ipvsadm
VERSION	= $(shell cat VERSION)
RELEASE	= 6
SCHEDULERS = "$(shell cat SCHEDULERS)"

CC	= gcc
CFLAGS	= -Wall -Wunused -Wstrict-prototypes -g -O2
SBIN    = $(BUILD_ROOT)/sbin
MANDIR	= usr/man
MAN	= $(BUILD_ROOT)/$(MANDIR)/man8
INIT    = $(BUILD_ROOT)/etc/rc.d/init.d
MKDIR   = mkdir
INSTALL = install
INCLUDE = -I/usr/src/linux/include -I.. -I.
STATIC_LIBS = libipvs/libipvs.a


#####################################
# No servicable parts below this line


IP_VS_H_DEFINE = $(shell if [ ! -f ../ip_vs.h ]; then \
	echo "-DHAVE_NET_IP_VS_H"; fi;)

LIB_SEARCH = /lib /usr/lib /usr/local/lib

ifeq (,$(FORCE_GETOPT))
POPT_LIB = $(shell for i in $(LIB_SEARCH); do \
  if [ -f $$i/libpopt.a ]; then \
    if nm $$i/libpopt.a | fgrep -q poptGetContext; then \
	echo "-L$$i -lpopt"; \
    fi; \
  fi; \
done)
endif

ifneq (,$(POPT_LIB))
POPT_DEFINE = -DHAVE_POPT
endif

OBJS = ipvsadm.o config_stream.o dynamic_array.o
LIBS = $(POPT_LIB)
DEFINES = -DVERSION=\"$(VERSION)\" -DSCHEDULERS=\"$(SCHEDULERS)\" \
	  $(POPT_DEFINE) $(IP_VS_H_DEFINE)

.PHONY = all clean install dist distclean rpm rpms

all:            ipvsadm

ipvsadm:	$(OBJS) $(STATIC_LIBS)
		$(CC) $(CFLAGS) -o $@ $^ $(LIBS)

install:        ipvsadm
		strip ipvsadm
		if [ ! -d $(SBIN) ]; then $(MKDIR) -p $(SBIN); fi
		$(INSTALL) -m 0755 ipvsadm $(SBIN)
		$(INSTALL) -m 0755 ipvsadm-save $(SBIN)
		$(INSTALL) -m 0755 ipvsadm-restore $(SBIN)
		[ -d $(MAN) ] || $(MKDIR) -p $(MAN)
		$(INSTALL) -m 0644 ipvsadm.8 $(MAN)
		$(INSTALL) -m 0644 ipvsadm-save.8 $(MAN)
		$(INSTALL) -m 0644 ipvsadm-restore.8 $(MAN)
		if [ -d $(INIT) ]; then \
		  $(INSTALL) -m 0755 ipvsadm.sh $(INIT)/ipvsadm; \
		fi

clean:
		rm -f ipvsadm $(NAME).spec $(NAME)-$(VERSION).tar.gz
		rm -rf debian/tmp
		find . -name '*.[ao]' -o -name "*~" -o -name "*.orig" \
		  -o -name "*.rej" -o -name core | xargs rm -f

distclean:	dist

dist:		clean
		sed -e "s/@@VERSION@@/$(VERSION)/g" \
		    -e "s/@@RELEASE@@/$(RELEASE)/g" \
		    < ipvsadm.spec.in > ipvsadm.spec
		( cd .. ; tar czvf $(NAME)-$(VERSION).tar.gz \
			--exclude CVS \
			--exclude $(NAME)-$(VERSION).tar.gz \
			ipvsadm ; \
			mv $(NAME)-$(VERSION).tar.gz ipvsadm )

rpm:		rpms

rpms:		dist
		cp $(NAME)-$(VERSION).tar.gz /usr/src/redhat/SOURCES/
		cp $(NAME).spec /usr/src/redhat/SPECS/
		(cd /usr/src/redhat/SPECS/ ; rpm -ba $(NAME).spec)

deb:		debs

debs:
		dpkg-buildpackage

%.o:	%.c
		$(CC) $(CFLAGS) $(INCLUDE) $(DEFINES) -o $@ -c $<

include $(shell echo */Makefile)

## ipvsadm 1.21release6

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #      ipvsadm - IP Virtual Server ADMinistration program
 #                for IPVS NetFilter Module in kernel 2.4
 #
-#      Version: $Id: Makefile,v 1.17 2002/03/25 12:44:38 wensong Exp $
+#      Version: $Id: Makefile,v 1.20.2.4 2003/05/21 03:01:57 wensong Exp $
 #
 #      Authors: Wensong Zhang <wensong@linux-vs.org>
 #               Peter Kese <peter.kese@ijs.si>
@@ -28,6 +28,7 @@
 VERSION	= $(shell cat VERSION)
 RELEASE	= 6
 SCHEDULERS = "$(shell cat SCHEDULERS)"
+PROGROOT = $(shell basename `pwd`)
 
 CC	= gcc
 CFLAGS	= -Wall -Wunused -Wstrict-prototypes -g -O2
@@ -48,9 +49,8 @@
 IP_VS_H_DEFINE = $(shell if [ ! -f ../ip_vs.h ]; then \
 	echo "-DHAVE_NET_IP_VS_H"; fi;)
 
+ifeq (,$(FORCE_GETOPT))
 LIB_SEARCH = /lib /usr/lib /usr/local/lib
-
-ifeq (,$(FORCE_GETOPT))
 POPT_LIB = $(shell for i in $(LIB_SEARCH); do \
   if [ -f $$i/libpopt.a ]; then \
     if nm $$i/libpopt.a | fgrep -q poptGetContext; then \
@@ -77,9 +77,8 @@
 		$(CC) $(CFLAGS) -o $@ $^ $(LIBS)
 
 install:        ipvsadm
-		strip ipvsadm
 		if [ ! -d $(SBIN) ]; then $(MKDIR) -p $(SBIN); fi
-		$(INSTALL) -m 0755 ipvsadm $(SBIN)
+		$(INSTALL) -m 0755 -s ipvsadm $(SBIN)
 		$(INSTALL) -m 0755 ipvsadm-save $(SBIN)
 		$(INSTALL) -m 0755 ipvsadm-restore $(SBIN)
 		[ -d $(MAN) ] || $(MKDIR) -p $(MAN)
@@ -96,17 +95,20 @@
 		find . -name '*.[ao]' -o -name "*~" -o -name "*.orig" \
 		  -o -name "*.rej" -o -name core | xargs rm -f
 
-distclean:	dist
+distclean:	clean
 
-dist:		clean
+dist:		distclean
 		sed -e "s/@@VERSION@@/$(VERSION)/g" \
 		    -e "s/@@RELEASE@@/$(RELEASE)/g" \
 		    < ipvsadm.spec.in > ipvsadm.spec
-		( cd .. ; tar czvf $(NAME)-$(VERSION).tar.gz \
-			--exclude CVS \
-			--exclude $(NAME)-$(VERSION).tar.gz \
-			ipvsadm ; \
-			mv $(NAME)-$(VERSION).tar.gz ipvsadm )
+		rm -f $(NAME)-$(VERSION)
+		ln -s . $(NAME)-$(VERSION)
+		tar czvf $(NAME)-$(VERSION).tar.gz			\
+		    --exclude CVS					\
+		    --exclude $(NAME)-$(VERSION)/$(NAME)-$(VERSION)	\
+		    --exclude $(NAME)-$(VERSION).tar.gz			\
+		    $(NAME)-$(VERSION)/*
+		rm -f $(NAME)-$(VERSION)
 
 rpm:		rpms

## ipvsadm 1.24+1.21

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #      ipvsadm - IP Virtual Server ADMinistration program
 #                for IPVS NetFilter Module in kernel 2.4
 #
-#      Version: $Id: Makefile,v 1.20.2.4 2003/05/21 03:01:57 wensong Exp $
+#      Version: $Id: Makefile,v 1.20.2.11 2005/01/22 04:07:42 wensong Exp $
 #
 #      Authors: Wensong Zhang <wensong@linux-vs.org>
 #               Peter Kese <peter.kese@ijs.si>
@@ -22,29 +22,42 @@
 #                     :   Added autodetection of libpot
 #                     :   Added BUILD_ROOT support
 #      Wensong        :   Changed the OBJS according to detection
+#      Ratz           :   Fixed to use the correct CFLAGS on sparc64
 #
 
 NAME	= ipvsadm
 VERSION	= $(shell cat VERSION)
-RELEASE	= 6
+RELEASE	= 11
 SCHEDULERS = "$(shell cat SCHEDULERS)"
 PROGROOT = $(shell basename `pwd`)
+ARCH	= $(shell uname -m)
 
 CC	= gcc
-CFLAGS	= -Wall -Wunused -Wstrict-prototypes -g -O2
+ifeq "${ARCH}" "sparc64"
+    CFLAGS = -Wall -Wunused -Wstrict-prototypes -g -O2 -m64 -pipe -mcpu=ultrasparc -mcmodel=medlow
+else
+    CFLAGS = -Wall -Wunused -Wstrict-prototypes -g -O2
+endif
 SBIN    = $(BUILD_ROOT)/sbin
 MANDIR	= usr/man
 MAN	= $(BUILD_ROOT)/$(MANDIR)/man8
 INIT    = $(BUILD_ROOT)/etc/rc.d/init.d
 MKDIR   = mkdir
 INSTALL = install
-INCLUDE = -I/usr/src/linux/include -I.. -I.
+KERNELSOURCE = /usr/src/linux
+INCLUDE = -I$(KERNELSOURCE)/include -I.. -I.
 STATIC_LIBS = libipvs/libipvs.a
 
 
 #####################################
 # No servicable parts below this line
 
+RPMBUILD = $(shell				\
+	if [ -x /usr/bin/rpmbuild ]; then	\
+		echo "/usr/bin/rpmbuild";	\
+	else					\
+		echo "rpm";			\
+	fi )
 
 IP_VS_H_DEFINE = $(shell if [ ! -f ../ip_vs.h ]; then \
 	echo "-DHAVE_NET_IP_VS_H"; fi;)
@@ -90,7 +103,7 @@
 		fi
 
 clean:
-		rm -f ipvsadm $(NAME).spec $(NAME)-$(VERSION).tar.gz
+		rm -f ipvsadm $(NAME).spec $(NAME)-$(VERSION)*.tar.gz
 		rm -rf debian/tmp
 		find . -name '*.[ao]' -o -name "*~" -o -name "*.orig" \
 		  -o -name "*.rej" -o -name core | xargs rm -f
@@ -101,21 +114,24 @@
 		sed -e "s/@@VERSION@@/$(VERSION)/g" \
 		    -e "s/@@RELEASE@@/$(RELEASE)/g" \
 		    < ipvsadm.spec.in > ipvsadm.spec
-		rm -f $(NAME)-$(VERSION)
-		ln -s . $(NAME)-$(VERSION)
-		tar czvf $(NAME)-$(VERSION).tar.gz			\
+		rm -f $(NAME)-$(VERSION)-$(RELEASE)
+		ln -s . $(NAME)-$(VERSION)-$(RELEASE)
+		tar czvf $(NAME)-$(VERSION)-$(RELEASE).tar.gz		\
 		    --exclude CVS					\
-		    --exclude $(NAME)-$(VERSION)/$(NAME)-$(VERSION)	\
-		    --exclude $(NAME)-$(VERSION).tar.gz			\
-		    $(NAME)-$(VERSION)/*
-		rm -f $(NAME)-$(VERSION)
-
-rpm:		rpms
+		    --exclude $(NAME)-$(VERSION)-$(RELEASE)/$(NAME)-$(VERSION)-$(RELEASE)	\
+		    --exclude $(NAME)-$(VERSION)-$(RELEASE).tar.gz	\
+		    $(NAME)-$(VERSION)-$(RELEASE)/*
+		rm -f $(NAME)-$(VERSION)-$(RELEASE)
 
 rpms:		dist
-		cp $(NAME)-$(VERSION).tar.gz /usr/src/redhat/SOURCES/
+		cp $(NAME)-$(VERSION)-$(RELEASE).tar.gz /usr/src/redhat/SOURCES/
 		cp $(NAME).spec /usr/src/redhat/SPECS/
-		(cd /usr/src/redhat/SPECS/ ; rpm -ba $(NAME).spec)
+		(cd /usr/src/redhat/SPECS/ ; $(RPMBUILD) -ba $(NAME).spec)
+
+srpm:		dist
+		cp $(NAME)-$(VERSION)-$(RELEASE).tar.gz /usr/src/redhat/SOURCES/
+		cp $(NAME).spec /usr/src/redhat/SPECS/
+		(cd /usr/src/redhat/SPECS/ ; $(RPMBUILD) -bs $(NAME).spec)
 
 deb:		debs

=== libipvs/Makefile ===

libipvs/libipvs.a: libipvs/libipvs.a(libipvs/libipvs.o)

## ipvsadm 1.25.clean

=== Makefile ===
#
#      ipvsadm - IP Virtual Server ADMinistration program
#                for IPVS NetFilter Module in kernel 2.4
#
#      Version: $Id: Makefile 59 2008-09-23 16:14:43Z wensong $
#
#      Authors: Wensong Zhang <wensong@linux-vs.org>
#               Peter Kese <peter.kese@ijs.si>
#
#      This file:
#
#      ChangeLog
#
#      Wensong        :   Modified the Makefile and the spec files so
#                     :   that rpms can be created with ipvsadm alone
#      P.Copeland     :   Modified the Makefile and the spec files so
#                     :   that it is possible to create rpms on the fly
#                     :   using 'make rpms'
#                     :   Also added NAME, VERSION and RELEASE numbers to
#                     :   the Makefile
#      Horms          :   Updated to add config_stream.c dynamic_array.c
#                     :   Added autodetection of libpot
#                     :   Added BUILD_ROOT support
#      Wensong        :   Changed the OBJS according to detection
#      Ratz           :   Fixed to use the correct CFLAGS on sparc64
#

NAME		= ipvsadm
VERSION		= $(shell cat VERSION)
RELEASE		= 1
SCHEDULERS	= "$(shell cat SCHEDULERS)"
PROGROOT	= $(shell basename `pwd`)
ARCH		= $(shell uname -m)
RPMSOURCEDIR	= $(shell rpm --eval '%_sourcedir')
RPMSPECDIR	= $(shell rpm --eval '%_specdir')

CC		= gcc
INCLUDE		=
SBIN		= $(BUILD_ROOT)/sbin
MANDIR		= usr/man
MAN		= $(BUILD_ROOT)/$(MANDIR)/man8
INIT		= $(BUILD_ROOT)/etc/rc.d/init.d
MKDIR		= mkdir
INSTALL		= install
STATIC_LIBS	= libipvs/libipvs.a

ifeq "${ARCH}" "sparc64"
    CFLAGS = -Wall -Wunused -Wstrict-prototypes -g -m64 -pipe -mcpu=ultrasparc -mcmodel=medlow
else
    CFLAGS = -Wall -Wunused -Wstrict-prototypes -g
endif


#####################################
# No servicable parts below this line

RPMBUILD = $(shell				\
	if [ -x /usr/bin/rpmbuild ]; then	\
		echo "/usr/bin/rpmbuild";	\
	else					\
		echo "/bin/rpm";		\
	fi )

ifeq (,$(FORCE_GETOPT))
LIB_SEARCH = /lib /usr/lib /usr/local/lib
POPT_LIB = $(shell for i in $(LIB_SEARCH); do \
  if [ -f $$i/libpopt.a ]; then \
    if nm $$i/libpopt.a | fgrep -q poptGetContext; then \
	echo "-lpopt"; \
    fi; \
  fi; \
done)
endif

ifneq (,$(POPT_LIB))
POPT_DEFINE = -DHAVE_POPT
endif

OBJS		= ipvsadm.o config_stream.o dynamic_array.o
LIBS		= $(POPT_LIB)
ifneq (0,$(HAVE_NL))
LIBS		+= -lnl
endif
DEFINES		= -DVERSION=\"$(VERSION)\" -DSCHEDULERS=\"$(SCHEDULERS)\" \
		  $(POPT_DEFINE)
DEFINES		+= $(shell if [ ! -f ../ip_vs.h ]; then	\
		     echo "-DHAVE_NET_IP_VS_H"; fi;)


.PHONY	= all clean install dist distclean rpm rpms

all:            libs ipvsadm

libs:
		make -C libipvs

ipvsadm:	$(OBJS) $(STATIC_LIBS)
		$(CC) $(CFLAGS) -o $@ $^ $(LIBS)

install:        all
		if [ ! -d $(SBIN) ]; then $(MKDIR) -p $(SBIN); fi
		$(INSTALL) -m 0755 -s ipvsadm $(SBIN)
		$(INSTALL) -m 0755 ipvsadm-save $(SBIN)
		$(INSTALL) -m 0755 ipvsadm-restore $(SBIN)
		[ -d $(MAN) ] || $(MKDIR) -p $(MAN)
		$(INSTALL) -m 0644 ipvsadm.8 $(MAN)
		$(INSTALL) -m 0644 ipvsadm-save.8 $(MAN)
		$(INSTALL) -m 0644 ipvsadm-restore.8 $(MAN)
		if [ -d $(INIT) ]; then \
		  $(INSTALL) -m 0755 ipvsadm.sh $(INIT)/ipvsadm; \
		fi

clean:
		rm -f ipvsadm $(NAME).spec $(NAME)-$(VERSION).tar.gz
		rm -rf debian/tmp
		find . -name '*.[ao]' -o -name "*~" -o -name "*.orig" \
		  -o -name "*.rej" -o -name core | xargs rm -f
		make -C libipvs clean

distclean:	clean

dist:		distclean
		sed -e "s/@@VERSION@@/$(VERSION)/g" \
		    -e "s/@@RELEASE@@/$(RELEASE)/g" \
		    < ipvsadm.spec.in > ipvsadm.spec
		rm -f $(NAME)-$(VERSION)
		ln -s . $(NAME)-$(VERSION)
		tar czvf $(NAME)-$(VERSION).tar.gz			\
		    --exclude CVS					\
		    --exclude $(NAME)-$(VERSION)/$(NAME)-$(VERSION)	\
		    --exclude $(NAME)-$(VERSION).tar.gz			\
		    $(NAME)-$(VERSION)/*
		rm -f $(NAME)-$(VERSION)

rpms:		dist
		cp $(NAME)-$(VERSION).tar.gz $(RPMSOURCEDIR)/
		cp $(NAME).spec $(RPMSPECDIR)/
		$(RPMBUILD) -ba $(RPMSPECDIR)/$(NAME).spec

srpm:		dist
		cp $(NAME)-$(VERSION).tar.gz $(RPMSOURCEDIR)/
		cp $(NAME).spec $(RPMSPECDIR)/
		$(RPMBUILD) -bs $(RPMSPECDIR)/$(NAME).spec

deb:		debs

debs:
		dpkg-buildpackage

%.o:	%.c
		$(CC) $(CFLAGS) $(INCLUDE) $(DEFINES) -c -o $@ $<

## ipvsadm 1.26

=== libipvs/Makefile ===
# Makefile for libipvs

CC		= gcc
CFLAGS		= -Wall -Wunused -Wstrict-prototypes -g -fPIC
ifneq (0,$(HAVE_NL))
CFLAGS		+= -DLIBIPVS_USE_NL
endif

INCLUDE		+= $(shell if [ -f ../../ip_vs.h ]; then	\
		     echo "-I../../."; fi;)
DEFINES		= $(shell if [ ! -f ../../ip_vs.h ]; then	\
		    echo "-DHAVE_NET_IP_VS_H"; fi;)

.PHONY		= all clean install dist distclean rpm rpms
STATIC_LIB	= libipvs.a
SHARED_LIB	= libipvs.so

all:		$(STATIC_LIB) $(SHARED_LIB)

$(STATIC_LIB):	libipvs.o ip_vs_nl_policy.o
		ar rv $@ $^

$(SHARED_LIB):	libipvs.o ip_vs_nl_policy.o
		$(CC) -shared -Wl,-soname,$@ -o $@ $^

%.o:		%.c
		$(CC) $(CFLAGS) $(INCLUDE) $(DEFINES) -c -o $@ $<

clean:
		rm -f *.[ao] *~ *.orig *.rej core *.so

distclean:	clean

=== debian/changelog ===
ipvsadm (1:1.26-4) unstable; urgency=medium

  * Fix initscript for daemon mode (Closes: #649106) 

 -- Alexander Wirt <formorer@debian.org>  Tue, 07 Apr 2015 13:58:32 +0200

ipvsadm (1:1.26-3) unstable; urgency=medium

  * [8fe73cf] Move to quilt 3.0
  * [9ae82d1] wrap-and-sort
  * [d8b7ba7] Move to debhelper compat v9
  * [450ce1d] Remove obsolete dpatch patches
  * [86caa7e] Remove obsolete templates
  * [8c6fbd7] Bump standards version
  * [6972aa0] Add deps for libnl3
  * [9a354ee] Add syncid to default file (Closes: #649106)
  * [f57062e] Build against libnl3 (Closes: #653021)
  * [ebeed1d] Fix displayed nodes (Closes: #685495, #706680)
  * [c0e7408] Imported Debian patch 1:1.26-2
  * [25fb091] Revert "Imported Debian patch 1:1.26-2"
  * [be1c118] Fix build-deps
  * [41027f9] Bump standards version (no changes)
  * [d0c8111] Add a patch to support LDFLAGS in Makefile. This adds support for hardening.

 -- Alexander Wirt <formorer@debian.org>  Sat, 01 Mar 2014 23:36:46 +0100

ipvsadm (1:1.26-1) unstable; urgency=low

  * [084f2b6] Imported Upstream version 1.26
    - Fix display of active connections (Closes: #574587)
  * [3a0f1e2] Use source format 1.0
  * [d5ca6cd] Remove debconf configuration (Closes: #656652)
  * [c9ac6fd] Update NEWS entry
  * [4759bff] Update default file with new options
  * [ee63b63] Add support for specifying syncid in /etc/default/ipvsadm
    (Closes: #649106)
  * [6a47317] Cleanup upstream provided debian/files
  * [028471c] Update disabled message of initscript
  * fix runlevels of initscript (Closes: #582821)
  * [5481cda] Add ipvs and IPVS to description (Closes: #572315)
  * [8b71ffc] Apply patch for startup options of ipvsadm (Closes: #504001)

 -- Alexander Wirt <formorer@debian.org>  Wed, 22 Feb 2012 22:03:47 +0100

ipvsadm (1:1.25) unstable; urgency=low

  * New upstream version (Closes: #540423)
  * Fix pending l10n issues. Debconf translations:
  * Vietnamese (Clytie Siddall).  Closes: #513582
  * Spanish (Francisco Javier Cuadrado).  Closes: #529727
  * Arabic (Ossama M. Khayat).  Closes: #552384
  * Japanese (Hideki Yamane (Debian-JP)).  Closes: #553028

 -- Alexander Wirt <formorer@debian.org>  Sun, 08 Nov 2009 14:16:20 +0100

ipvsadm (1:1.24-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Swedish. Closes: #491945

 -- Christian Perrier <bubulle@debian.org>  Tue, 21 Oct 2008 05:47:28 +0200

ipvsadm (1:1.24-2) unstable; urgency=low

  * Update german debconf translation (Closes: #485451)

 -- Alexander Wirt <formorer@debian.org>  Tue, 10 Jun 2008 08:47:02 +0200

ipvsadm (1:1.24-1) unstable; urgency=low

  * New maintainer 
  * Remove support for 2.2 and 2.4 kernels 
  * Move from cdbs to debhelper 
  * Make initscript LSB conform  (Closes: #466256) 
  * Bump standards version
  * Don't mark default as translateable
  * Don't limit names of interfaces. This is useless in days where interfaces
    can be renamed and so on. (Closes: #298375)
  * Remove bashism in postinst (Closes: #411253) 
  * Fix /etc/init.d/ipvsadm stop (Closes: #296668)
  * Don't use a shellwrapper anymore for ipvsadm (Closes: #402207)
  * Disable autosaving of rules (see NEWS.Debian) (Closes: #337207, #275986)
  * Use consistent versioning (Closes: #402728)
  * 
  * Allow daemon to be in master and backup mode simultaneously 
    (Closes: #401013)
  * After translation round update translations. 
    (Closes: #473717, #473723, #473789, #473887, #474359, #474376, #474437)
    alse Closes: #475307, #476791, #477820, #480206

 -- Alexander Wirt <formorer@debian.org>  Sun, 30 Mar 2008 15:15:17 +0200

ipvsadm (1.24+1.21-1.4) unstable; urgency=high
  
  * Non-maintainer upload.

  [ Pierre Habouzit ]
  * Move ipvs detection into the postinst, so that we can rely on the ipvsadm
    tool, guard that call to avoid any problems. (Closes: #408245).

  [ Mohammed Adnène Trojette ]
  * High urgency for RC bug fixing.
  * Update FSF address in debian/copyright.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Tue, 13 Feb 2007 19:12:11 +0100

ipvsadm (1.24+1.21-1.3) unstable; urgency=low

  * Non-maintainer upload
    - Run ipvsadm before checking for /proc/net/ip_vs_conn
      to avoid falsely reporting that ipvs is unavailable when
      it is built as a module
      (closes: 329482)

 -- Simon Horman <horms@debian.org>  Thu, 30 Nov 2006 15:45:51 +0900

ipvsadm (1.24+1.21-1.2) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n-related issues
  * Depend on debconf | debconf-2.0 to allow the cdebconf transition
    Closes: #331864
  * Updated debconf tranlations:
    - Vietnamese. Closes: #312032
    - Updated Brazilian Portuguese. Closes: #295103
    - Added Dutch. Closes: #295665
    - Added Czech. Closes: #316998, #317002
    - Added Swedish. Closes: #336737
    - Added Polish. Sent during the NMU campaign.
    - Added Italian. Sent during the NMU campaign.
    - Added Russian. Sent during the NMU campaign.
    - Added Norwegian Bokmål. Sent during the NMU campaign.
      Closes: #396103

 -- Christian Perrier <bubulle@debian.org>  Tue, 17 Oct 2006 09:04:57 +0200

ipvsadm (1.24+1.21-1.1) unstable; urgency=low

  * Non-maintainer upload as requested by Joerg Wendland
  * Remove bogus check for ip_vs proc file, which
    typically won't exist on systems with a modular kernel.
    (closes: Bug#329482)

 -- Simon Horman <horms@debian.org>  Sat, 24 Sep 2005 14:45:53 +0900

ipvsadm (1.24+1.21-1) unstable; urgency=low

  * Pack upstream version 1.24 (for 2.6 kernels), 1.21 (for 2.4 kernels) 
    and 1.21-11 (for kernels >= 2.4.29) together and provide a wrapper 
    script that chooses the correct binary to run depending on the kernel 
    version.
    (closes: Bug#270774)
  * Include new french debconf translation.
    (closes: Bug#269105)

 -- Joerg Wendland <joergland@debian.org>  Tue,  8 Feb 2005 11:09:24 +0100

ipvsadm (1.24-1) unstable; urgency=low

  * New upstream version.
    (closes: Bug#240195)


=== debian/control ===
Source: ipvsadm
Section: net
Priority: extra
Maintainer: Alexander Wirt <formorer@debian.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9),
               libnl-3-dev,
               libnl-genl-3-dev,
               libpopt-dev,
               pkg-config,
               po-debconf

Package: ipvsadm
Architecture: any
Depends: lsb-base (>= 3.0-6), ${misc:Depends}, ${shlibs:Depends}
Conflicts: lvs
Replaces: lvs
Suggests: heartbeat, keepalived, ldirectord
Description: Linux Virtual Server support programs
 The Linux Virtual Server (lvs or IPVS) is a highly scalable and highly
 available server built on a cluster of real servers. The architecture of the
 cluster is transparent to end users, and the users see only a single virtual
 server.
 .
 This package provides some support programs necessary to implement a virtual
 server under Linux. With the addition of the mon and heartbeat packages it is
 possible to implement a complete high-availability solution for Linux.

## ipvsadm 1.28

=== debian/changelog ===
ipvsadm (1:1.28-3) unstable; urgency=medium

  * Upload to unstable 

 -- Alexander Wirt <formorer@debian.org>  Tue, 23 Jun 2015 19:47:16 +0200

ipvsadm (1:1.28-2) experimental; urgency=medium

  * [2c4e022] Update watch file
  * [4c4c557] Add VCS header

 -- Alexander Wirt <formorer@debian.org>  Sat, 14 Feb 2015 06:41:14 +0100

ipvsadm (1:1.28-1) experimental; urgency=medium

  * [dfdf261] Imported Upstream version 1.28
    (Closes: #775930)
    - fix rule loading on i386 (Closes: #750549)

 -- Alexander Wirt <formorer@debian.org>  Wed, 11 Feb 2015 14:10:18 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: net
 Priority: extra
 Maintainer: Alexander Wirt <formorer@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
+Vcs-Browser: https://github.com/formorer/pkg-ipvsadm
+Vcs-Git: https://github.com/formorer/pkg-ipvsadm.git
 Build-Depends: debhelper (>= 9),
                libnl-3-dev,
                libnl-genl-3-dev,

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS +=  -DLIBIPVS_USE_NL

%:
	dh  $@

override_dh_auto_install::
 
override_dh_auto_clean:
	dh_auto_clean
	-rm debian/files

## ipvsadm 1.29

=== debian/changelog ===
ipvsadm (1:1.29-1) unstable; urgency=medium

  * [b30c9aa] New upstream version 1.29
    (Closes: #903935)
  * [f33b1cc] Bump standards version
  * [06cf313] Priority extra is now optional
  * [28cd1fe] Bump to dh11
  * [776e7b4] package doesn't build with parallel
  * [a3d3994] Add gitlab-ci file
  * [b82b9b0] Add snapshot changelog
  * [c1c00d7] Add homepage field
  * [4af29a6] Remove trailing whitespace
  * [8cdf09c] I found even more whitespace
  * [8f39cde] Verify gpg sig on upstream tarball
  * [0e9779f] use specific GPL version in copyright
  * [07d28a4] Remove obsolete lintian override
  * [6a7e974] We don't use dpatch anymore, kick README.source
  * [98911a8] Add override file - we don't have a changelog
  * [aa1dc89] Fix syncid on daemon invocation (Closes: #649106, #788345, #808950)
  * [7695a4a] Add a patch to enhance weight parameter to INT_MAX.
    Thanks to Francois Lallart <fraff@free.fr> (Closes: #814348)

 -- Alexander Wirt <formorer@debian.org>  Sun, 05 Aug 2018 09:21:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: ipvsadm
 Section: net
-Priority: extra
+Priority: optional
 Maintainer: Alexander Wirt <formorer@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 4.1.5
+Homepage: https://git.kernel.org/pub/scm/utils/kernel/ipvsadm/ipvsadm.git
 Vcs-Browser: https://github.com/formorer/pkg-ipvsadm
 Vcs-Git: https://github.com/formorer/pkg-ipvsadm.git
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                libnl-3-dev,
                libnl-genl-3-dev,
                libpopt-dev,

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/.gz$/.sign/ https://www.kernel.org/pub/linux/utils/kernel/ipvsadm/ipvsadm-(.*)\.tar\.gz

## ipvsadm 1.31

=== debian/changelog ===
ipvsadm (1:1.31-5) unstable; urgency=medium

  * [f4e6960] d/patches: add numerical prefix to patch names
  * [38ef907] d/rules: allow parallel builds
  * [942cc97] d/.gitlab-ci.yml: remove unused CI config file
  * [2e3d293] d/p/03-fix-ambiguous-usage-error-message.patch:
    fix combination of `-M` and `-6`
  * [a1b0403] d/patches: all patches have been forwarded and applied upstream
  * [32aacdb] d/p/06-make-clean-fix.patch: don't remove spec-file
  * [b368d4c] d/gbp.conf: dch: remove `commit-msg`

 -- Jeremy Sowden <azazel@debian.org>  Sat, 18 Jan 2025 13:16:49 +0000

ipvsadm (1:1.31-4) unstable; urgency=medium

  * [9ccd025] d/patches: add patch to make sure libipvs.a is built before
    ipvsadm

 -- Jeremy Sowden <azazel@debian.org>  Sun, 24 Nov 2024 20:45:23 +0000

ipvsadm (1:1.31-3) unstable; urgency=medium

  * [6740cde] d/compat, d/control: remove d/compat and add a build-dep on
    `debhelper-compat = 13` to d/control
  * [374d59b] d/control: bump Standards-Version to 4.7.0
  * [d35b20a] d/control: set Rules-Requires-Root: no
  * [4d32da4] d/control: update Maintainer and add Uploaders to adopt the
    package for the Netfilter team
  * [6e8cfea] d/control: add ${misc:Pre-Depends} for invoke-rc.d in
    init-system-helpers
  * [3a56ff0] d/control: update VCS URL's
  * [35e9718] d/control: change architecture to `linux-any`
  * [4e5b31c] d/copyright: convert to DEP-5 format
  * [920b4fe] d/copyright: update copyright field for debian/*
  * [b9901d0] d/gbp.conf: default: set `debian-branch` to debian/sid
  * [3e3552b] d/gbp.conf: dch: set `id-length` to 7
  * [5f21e6e] d/gbp.conf: dch: set `commit-msg`
  * [5aed261] d/gbp.conf: default: set `pristine-tar` to True
  * [0712455] d/ipvsadm.manpages: run wrap-and-sort
  * [d154a71] d/ipvsadm.install, d/ipvsadm.service, d/ipvsadm-*: add a
    systemd service file (Closes: #1039239)
  * [cf418ca] d/p/cross.patch: add DEP-3 metadata
  * [b5564bc] d/p/limit-weight-to-int-max.patch: fix DEP-3 metadata
  * [4780601] d/p/fix-ambiguous-usage-error-message.patch: fix ambiguous
    usage error message (Closes: #610596)
  * [d066b67] d/p/fix-build-flags.patch, d/rules: patch Makefiles to
    support build-flags
  * [2058baf] d/rules: let dh manage build-flags
  * [36c9721] d/rules: enable hardening
  * [7bb8112] d/rules: pass HAVE_NL=1 to make to enable libnl support
  * [cc35b9c] d/rules: add support for the `terse` build option
  * [a17aaf3] d/watch: verify upstream signatures
  * [f675127] d/source/lintian-overrides: override
    "orig-tarball-missing-upstream-signature"
  * [9d28683] d/: add .gitignore
  * [0e458b8] d/: remove obsolete header file
  * [1410ea0] d/: remove duplicate docs file
  * [4b2e573] d/ipvsadm.init: fix formatting
  * [1005e81] d/ipvsadm.default: correct explanatory comments
  * [1cae5e5] d/ipvsadm.service: add /etc/default/ipvsadm as an
    EnvironmentFile
  * [b09787d] d/ipvsadm-flush, d/ipvsadm-load: obey `$AUTO` as defined in
    /etc/default/ipvsadm

 -- Jeremy Sowden <azazel@debian.org>  Sat, 25 May 2024 15:05:44 +0100

ipvsadm (1:1.31-2) unstable; urgency=medium

  * QA upload.

  [ Helmut Grohne ]
  * Orphan the package with Alexander's consent. Thanks for maintaining it.
  * Drop obsolete lsb-base dependency.
  * Use CPPFLAGS: Append them to CFLAGS.
  * cross.patch: Make pkg-config substitutable. (Closes: #901275)
  * Delete lintian overrides for tags issued anymore.
  * Transition pkg-config dependency to pkgconf.

  [ Chris Hofstaedtler ]
  * Install aliased files into /usr (DEP17 M2) (Closes: #1060204)

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 24 May 2024 13:32:37 +0200

ipvsadm (1:1.31-1) unstable; urgency=medium

  * [950ed21] New upstream version 1.31
  * [e35ba70] Refresh patch
  * [5639279] Bump standards version

 -- Alexander Wirt <formorer@debian.org>  Sun, 05 Jan 2020 21:33:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: ipvsadm
 Section: net
 Priority: optional
-Maintainer: Alexander Wirt <formorer@debian.org>
-Standards-Version: 4.1.5
+Maintainer: Debian Netfilter Packaging Team <team+pkg-netfilter-team@tracker.debian.org>
+Uploaders: Jeremy Sowden <azazel@debian.org>
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Homepage: https://git.kernel.org/pub/scm/utils/kernel/ipvsadm/ipvsadm.git
-Vcs-Browser: https://github.com/formorer/pkg-ipvsadm
-Vcs-Git: https://github.com/formorer/pkg-ipvsadm.git
-Build-Depends: debhelper (>= 11),
+Vcs-Browser: https://salsa.debian.org/pkg-netfilter-team/pkg-ipvsadm
+Vcs-Git: https://salsa.debian.org/pkg-netfilter-team/pkg-ipvsadm.git
+Build-Depends: debhelper-compat (= 13),
                libnl-3-dev,
                libnl-genl-3-dev,
                libpopt-dev,
-               pkg-config,
+               pkgconf,
                po-debconf
 
 Package: ipvsadm
-Architecture: any
-Depends: lsb-base (>= 3.0-6), ${misc:Depends}, ${shlibs:Depends}
+Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: lvs
 Replaces: lvs
 Suggests: heartbeat, keepalived, ldirectord

=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
export DH_VERBOSE = 1
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- HAVE_NL=1

override_dh_auto_install:

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/@ARCHIVE_EXT@/.sign/,decompress" \
  https://www.kernel.org/pub/linux/utils/kernel/ipvsadm/ipvsadm-(.*)\.tar\.gz
